import { GraphLayout, GraphLayoutOptions } from "../../core/graph-layout.js";
export type D3ForceLayoutOptions = GraphLayoutOptions & {
    alpha?: number;
    resumeAlpha?: number;
    nBodyStrength?: number;
    nBodyDistanceMin?: number;
    nBodyDistanceMax?: number;
    getCollisionRadius?: number;
};
export declare class D3ForceLayout extends GraphLayout<D3ForceLayoutOptions> {
    static defaultOptions: Required<D3ForceLayoutOptions>;
    protected readonly _name = "D3";
    private _positionsByNodeId;
    private _graph;
    private _worker;
    constructor(options?: D3ForceLayoutOptions);
    initializeGraph(graph: any): void;
    updateGraph(graph: any): void;
    start(): void;
    update(): void;
    _engageWorker(): void;
    resume(): void;
    stop(): void;
    getEdgePosition: (edge: any) => {
        type: string;
        sourcePosition: any;
        targetPosition: any;
        controlPoints: any[];
    };
    getNodePosition: (node: any) => any;
    lockNodePosition: (node: any, x: any, y: any) => void;
    unlockNodePosition: (node: any) => void;
}
//# sourceMappingURL=d3-force-layout.d.ts.map