import { GraphLayout, GraphLayoutOptions } from "../../core/graph-layout.js";
import { Node } from "../../graph/node.js";
import { Graph } from "../../graph/graph.js";
export type ForceMultiGraphLayoutOptions = GraphLayoutOptions & {
    alpha?: number;
    nBodyStrength?: number;
    nBodyDistanceMin?: number;
    nBodyDistanceMax?: number;
};
export declare class ForceMultiGraphLayout extends GraphLayout<ForceMultiGraphLayoutOptions> {
    static defaultOptions: {
        alpha: number;
        nBodyStrength: number;
        nBodyDistanceMin: number;
        nBodyDistanceMax: number;
    };
    _name: string;
    _graph: Graph;
    _d3Graph: {
        nodes: any[];
        edges: any[];
    };
    _nodeMap: {};
    _edgeMap: {};
    _simulator: any;
    constructor(options?: ForceMultiGraphLayoutOptions);
    initializeGraph(graph: Graph): void;
    _strength: (d3Edge: any) => number;
    _generateSimulator(): void;
    start(): void;
    resume(): void;
    stop(): void;
    updateGraph(graph: any): void;
    getNodePosition: (node: Node) => [number, number];
    getEdgePosition: (edge: any) => {
        type: string;
        sourcePosition: any[];
        targetPosition: any[];
        controlPoints: number[][];
    };
    lockNodePosition: (node: any, x: any, y: any) => void;
}
//# sourceMappingURL=force-multi-graph-layout.d.ts.map