import { GraphLayout, GraphLayoutOptions } from "../../core/graph-layout.js";
export type GPUForceLayoutOptions = GraphLayoutOptions & {
    alpha?: number;
    resumeAlpha?: number;
    nBodyStrength?: number;
    nBodyDistanceMin?: number;
    nBodyDistanceMax?: number;
    getCollisionRadius?: number;
};
/**
 * @todo this layout should be updated with the organizational and logic improvements made in d3-force
 */
export declare class GPUForceLayout extends GraphLayout<GPUForceLayoutOptions> {
    static defaultOptions: Required<GPUForceLayoutOptions>;
    protected readonly _name: string;
    private _d3Graph;
    private _nodeMap;
    private _edgeMap;
    private _graph;
    private _worker;
    private _callbacks;
    constructor(options?: GPUForceLayoutOptions);
    initializeGraph(graph: any): void;
    start(): void;
    update(): void;
    _engageWorker(): void;
    ticked(data: any): void;
    ended(data: any): void;
    resume(): void;
    stop(): void;
    updateGraph(graph: any): void;
    updateD3Graph(graph: any): void;
    getNodePosition: (node: any) => [number, number];
    getEdgePosition: (edge: any) => {
        type: string;
        sourcePosition: any[];
        targetPosition: any[];
        controlPoints: any[];
    };
    lockNodePosition: (node: any, x: any, y: any) => void;
    unlockNodePosition: (node: any) => void;
}
//# sourceMappingURL=gpu-force-layout.d.ts.map